<template>
  <div class="new">
    <router-link to="/recipes">Index</router-link>
    <h3>Add New Recipe</h3>

    <form v-on:submit="createRecipe">
      <div class="row">
        <div class="form-group col-6">
            <label>Title</label>
            <input type="text" class="form-control" v-model="recipe.title">
        </div>
        <div class="form-group col-6">
            <label>Description</label>
            <input type="text" class="form-control" v-model="recipe.description">
        </div>
      </div>

      <div class="row">
        <div class="form-group col-4">
          <label>Servings</label>
          <input type="number" class="form-control" v-model="recipe.servings">
        </div>

        <div class="form-group col-4">
            <label>Preparation Time</label>
            <input type="number" step="0.01" class="form-control" v-model="recipe.prepTime">
        </div>

        <div class="form-group col-4">
            <label>Cook Time</label>
            <input type="number" class="form-control" v-model="recipe.cookTime">
        </div>

      </div>

      <div class="row">

        <div class="form-group col-4">
            <label>Post Date</label>
            <input type="text" step="0.01" class="form-control" v-model="recipe.postDate">
        </div>

        <div class="form-group col-4">
            <label>Edit Date</label>
            <input type="text" class="form-control" v-model="recipe.editDate">
        </div>

      </div>

      <button type="submit" class="btn btn-primary">Submit</button>
      <input type="reset" class="btn btn-primary">
    </form>
  </div>

</template>

<script>
export default {
  name: 'new',
  data () {
    return {
      recipe: {}
    }
  },
  methods: {
    createRecipe (event) {
      if (
        !this.recipe.title
      ) {
        this.alert = 'Please fill in all required fields!'
      } else {
        let newRecipe = {
          title: this.recipe.title,
          description: this.recipe.description,
          servings: this.recipe.servings,
          prepTime: this.recipe.prepTime,
          cookTime: this.recipe.cookTime,
          postDate: this.recipe.postDate,
          editDate: this.recipe.editDate
        }
        this.$http
          .post('http://localhost:3001/recipes', newRecipe)
          .then(function (response) {
            this.$router.push({
              path: '/recipes'
            })
          })
        event.preventDefault()
      }
      event.preventDefault()
    }
  }
}
</script>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style scoped>
</style>
